import { jsx } from '@emotion/core';
import BaseText from '../BaseText/BaseText.esm.js';
import { baseStyle, sizeStyles, variantStyles } from './Text.helpers.esm.js';

/** @jsx jsx */

function Text({
  tone = `NEUTRAL`,
  variant = `PRIMARY`,
  size = `M`,
  ...rest
}) {
  return jsx(BaseText, {
    css: theme => [baseStyle(tone)(theme), sizeStyles[size](theme), variantStyles[variant](theme)],
    ...rest
  });
}

export default Text;
//# sourceMappingURL=Text.esm.js.map
